<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xhtml" version="1.0" encoding="UTF-8" indent="yes" />
	
	<xsl:template match="/">
			<xsl:apply-templates select="//Article" mode="article"/>
	</xsl:template>
	
	<xsl:template match="Article" mode="article">
		<html>
			<head>
				<title>
					<xsl:value-of select="Title"/>
				</title>
			</head>
			<body>
				<p><strong>Section: </strong>
					<xsl:value-of select="Section"/>
				</p>
				<!-- metadata -->
				<xsl:apply-templates select="metadata" mode="metadata"/>
				<h1><xsl:value-of select="Title"/></h1>
				<!-- content -->
				<xsl:apply-templates select="Content" mode="text" />
			</body>
		</html>
	</xsl:template>

	<xsl:template match="metadata" mode="metadata">
		<p>
			<strong><xsl:value-of select="@name"/>: </strong>
			 <xsl:apply-templates mode="metadata" />
		</p>
	</xsl:template>
	
	<xsl:template match="*" mode="text">
		<xsl:apply-templates mode="inline"/>
	</xsl:template>
	
	<!-- replace all XML tags with related html tags -->
	<xsl:template match="*" mode="inline">
			<xsl:apply-templates mode="inline"/>	
	</xsl:template>
	
	<xsl:template match="SubHead1" mode="inline">
		<h2 class="headline"><xsl:apply-templates mode="inline"/></h2>
	</xsl:template>
	<xsl:template match="SubHead2" mode="inline">
		<h3 class="subheadline"><xsl:apply-templates mode="inline"/></h3>
	</xsl:template>
	<xsl:template match="Main_Body" mode="inline">
		<p class="body"><xsl:apply-templates mode="inline"/></p>
	</xsl:template>
	<xsl:template match="strong" mode="inline">
		<strong><xsl:apply-templates mode="inline"/></strong>
	</xsl:template>
	<xsl:template match="em" mode="inline">
		<em><xsl:apply-templates mode="inline"/></em>
	</xsl:template>

	
	
</xsl:stylesheet>
